function [rotationErrorNorm, translationErrorNorm] = ErrorSingleFrame(parameters, parametersBaseline)
    expMap = CheckExponentialMapParametrization(parameters(1:3));
    if expMap' * parametersBaseline(1:3) < 0
        theta = norm(expMap);
        expMap = expMap*(1 - 2*pi/theta);
    end
    rotationErrorNorm = norm(expMap - parametersBaseline(1:3));
    translationErrorNorm = norm(parameters(4:6)- parametersBaseline(4:6));
end

function expMap = CheckExponentialMapParametrization(expMap)
    theta = norm(expMap);
    if theta > 2*pi
        theta2 = theta;
        theta = mod(theta,2*pi);
        expMap = expMap*theta/theta2;
    end
    if theta > pi
        expMap = expMap*(1 - 2*pi/theta);
    end
end